Vim-подключение плагинов — различия между версиями

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
Строка 1: Строка 1:
 
[[Категория:Программное обеспечение]]
 
[[Категория:Программное обеспечение]]
[[Категория:Пользователю]]
 
  
 
В репозиториях ALTLinux многие плагины {{prg|Vim}} собраны в пакеты. В информации к пакету указывается, что для подключения нужно определить соотв. переменную в файле {{cmd|.vimrc}}:
 
В репозиториях ALTLinux многие плагины {{prg|Vim}} собраны в пакеты. В информации к пакету указывается, что для подключения нужно определить соотв. переменную в файле {{cmd|.vimrc}}:
Строка 17: Строка 16:
 
{{cmd|:help variables}}
 
{{cmd|:help variables}}
 
{{Category navigation|title=Программное обеспечение|category=Программное_обеспечение|sortkey={{SUBPAGENAME}}}}
 
{{Category navigation|title=Программное обеспечение|category=Программное_обеспечение|sortkey={{SUBPAGENAME}}}}
 +
[[Категория:Пользователю]]
 +
{{Category navigation|title=Пользователю|category=Пользователю|sortkey={{SUBPAGENAME}}}}

Версия 16:47, 30 июня 2015


В репозиториях ALTLinux многие плагины Vim собраны в пакеты. В информации к пакету указывается, что для подключения нужно определить соотв. переменную в файле .vimrc:

# rpm -qi vim-plugin-rails-2.0-alt1
...
To enable this plugin define "use_rails_plugin" variable somewhere
in your .vimrc file.

Это значит, что в файл ~/.vimrc нужно добавить строчку:

let use_rails_plugin = 1

Для того, чтобы подробнее изучить тему использования переменных в Vim, рекомендуем набрать в редакторе команду:

:help variables